Class | WSDL::XMLSchema::Content
In: | wsdl/xmlSchema/content.rb
Parent: | Info

### Methods

<< each new parse_attr parse_element parse_epilogue targetnamespace

### Attributes

contents | [R] |
elements | [R] |
final | [RW] |
mixed | [RW] |
type | [RW] |

### Public Class methods

new()

[Source]

    # File wsdl/xmlSchema/content.rb, line 23
      def initialize
        super()
        @final = nil
        @mixed = false
        @type = nil
        @contents = []
        @elements = []
      end

### Public Instance methods

<<(content)

[Source]

    # File wsdl/xmlSchema/content.rb, line 36
      def <<(content)
        @contents << content
        update_elements
      end

each() {|content| ...}

[Source]

    # File wsdl/xmlSchema/content.rb, line 41
      def each
        @contents.each do |content|
          yield content
        end
      end

parse_attr(attr, value)

[Source]

    # File wsdl/xmlSchema/content.rb, line 67
      def parse_attr(attr, value)
        case attr
        when FinalAttrName
          @final = value.source
        when MixedAttrName
          @mixed = (value.source == 'true')
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/xmlSchema/content.rb, line 47
      def parse_element(element)
        case element
        when AllName, SequenceName, ChoiceName
          o = Content.new
          o.type = element.name
          @contents << o
          o
        when AnyName
          o = Any.new
          @contents << o
          o
        when ElementName
          o = Element.new
          @contents << o
          o
        else
          nil
        end
      end

parse_epilogue()

[Source]

    # File wsdl/xmlSchema/content.rb, line 78
      def parse_epilogue
        update_elements
      end

targetnamespace()

[Source]

    # File wsdl/xmlSchema/content.rb, line 32
      def targetnamespace
        parent.targetnamespace
      end

[Validate]